#include <iostream>
#include <cmath>
using namespace std;
  
int main()
{
  unsigned long long l,c,bc=0;
  int cif,bn;
  cin>>l;
  c=1;
  cifra:
  if(l/c>0)
  {
    bc=bc+1;
    c=c*10;
    goto cifra;
  }
  //cout<<"broj cifara "<<bc<<endl;
  //bc-broj cifara, l-suma, bn-broj novcanica
  novcanica:


  cif=floor(l/pow(10,bc-1));
  //cout<<"cifra je "<<cif<<endl;
  l=l-cif*pow(10,bc-1);
  if(l==0 and cif==0)
  {
    goto endd;
  }

  provera:
  if(cif-5<0)
  {
    if(cif-2<0)
    {
      if(cif-1<0)
      {
        //l=l-cif*pow(10,bc-1);
        bc=bc-1;
      }
      else
      {
        cif=cif-1;
        bn=bn+1;
      }
    }
    else
    {
      cif=cif-2;
      bn=bn+1;
    }
    
  }
  else
  {
    cif=cif-5;
    bn=bn+1;
  }
  //cout<<"broj novcanica "<<bn<<endl;
  if(cif==0)
  {
    goto novcanica;
  }
  else
  {
    goto provera;
  }







  endd:
  cout<<bn;

}